> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Resource

> Gets the metadata of a resource by ID.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/workspace/resources/{resource_id}
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/workspace/resources/{resource_id}:
    get:
      tags:
        - workspace
      summary: Get Resource
      description: Gets the metadata of a resource by ID.
      operationId: get_resource_metadata
      parameters:
        - name: resource_id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the target resource.
            title: Resource Id
          description: The ID of the target resource.
        - name: resource_type
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/WorkspaceResourceType'
            description: Resource type of the target resource.
          description: Resource type of the target resource.
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResourceMetadataResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WorkspaceResourceType:
      type: string
      enum:
        - voice
        - voice_collection
        - pronunciation_dictionary
        - project
        - convai_agents
        - convai_knowledge_base_documents
        - convai_tools
        - convai_settings
        - convai_secrets
        - workspace_auth_connections
        - convai_phone_numbers
        - convai_mcp_servers
        - convai_api_integration_connections
        - convai_api_integration_trigger_connections
        - convai_batch_calls
        - convai_agent_response_tests
        - convai_test_suite_invocations
        - convai_crawl_jobs
        - convai_crawl_tasks
        - convai_kb_external_sync_jobs
        - convai_whatsapp_accounts
        - convai_agent_versions
        - convai_agent_branches
        - convai_agent_versions_deployments
        - convai_memory_entries
        - convai_coaching_proposals
        - convai_templates
        - dashboard
        - dashboard_configuration
        - convai_agent_drafts
        - resource_locators
        - assets
        - transcription_tasks
        - avatars
        - resource_collection
        - convai_analysis_items
      title: WorkspaceResourceType
      description: >-
        Resource types that can be shared in the workspace. The name always need
        to match the collection names
    ResourceMetadataResponseModel:
      properties:
        resource_id:
          type: string
          title: Resource Id
          description: The ID of the resource.
        resource_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Resource Name
          description: The name of the resource, if available.
        resource_type:
          $ref: '#/components/schemas/WorkspaceResourceType'
          description: The type of the resource.
        creator_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Creator User Id
          description: The ID of the user who created the resource.
        anonymous_access_level_override:
          anyOf:
            - type: string
              enum:
                - admin
                - editor
                - commenter
                - viewer
            - type: 'null'
          title: Anonymous Access Level Override
          description: >-
            The access level for anonymous users. If None, the resource is not
            shared publicly.
        role_to_group_ids:
          additionalProperties:
            items:
              type: string
            type: array
          type: object
          title: Role To Group Ids
          description: >-
            A mapping of grant slots to group IDs. Keys are the preset access
            roles plus workspace custom-role ids ('role_...'). When the resource
            is shared with a user, the group id is the user's id.
        share_options:
          items:
            $ref: '#/components/schemas/ShareOptionResponseModel'
          type: array
          title: Share Options
          description: >-
            List of options for sharing the resource further in the workspace.
            These are users who don't have access to the resource yet.
      type: object
      required:
        - resource_id
        - resource_name
        - resource_type
        - creator_user_id
        - anonymous_access_level_override
        - role_to_group_ids
        - share_options
      title: ResourceMetadataResponseModel
      example:
        anonymous_access_level_override: viewer
        creator_user_id: user_123
        resource_id: agent_123
        resource_name: Support Agent
        resource_type: convai_agents
        role_to_group_ids:
          admin:
            - user_123
          editor:
            - group_123
          viewer: []
        share_options:
          - id: user_456
            name: user@example.com
            type: user
          - id: group_456
            name: support
            type: group
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ShareOptionResponseModel:
      properties:
        name:
          type: string
          title: Name
          description: The name of the principal.
        id:
          type: string
          title: Id
          description: The ID of the principal.
        type:
          type: string
          enum:
            - user
            - group
            - key
          title: Type
          description: >-
            The type of the principal: user, group, or service account (under
            'key').
      type: object
      required:
        - name
        - id
        - type
      title: ShareOptionResponseModel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````